#include "rweTask.h"
#include "setColor.h"

#include <stdio.h>
#include <string.h>

int main(int argc, char *argv[])
{
    int select;

    creatFile();

    if (argc == 1) {
        printTask(1);  /* print tasks */
        return 0;
    }

    if (**++argv == '-') {
        select = *(*argv+1);
        switch(select) {
            case 'a':
                addTask(0, argc-2, ++argv);
                break;
            case 't':
                addTask(1, argc-2, ++argv);
                break;
            case 'f':
                finishTask(argc-2, ++argv);
                break;
            case 'e':
                editTask(argc-2, ++argv);
                break;
            case 's':
                setColor();
                break;
            case 'T':
                printTopic(**++argv);
                break;
            case 'w':
                select = '0';
            case '1':
            case '2':
            case '3':
            case '4':
            case '5':
            case '6':
            case '7':
            case '8':
            case '9':
            case '0':
                if (argc == 2)
                    printTask(select-'0');
                else
                    changeTaskLevel(select-'0', argc-2, ++argv);
                break;
            case '-':
                if (strcmp(*argv+2, "help") == 0)
                    printHelp();
                else if (strcmp(*argv+2, "version") == 0)
                    printVersion();
                else {
                    printf("未知参数--%s，请尝试执行t --help查看可用参数\n",
                            *argv+2);
                    return 1;
                }
                break;
            default:
                printf("未知参数-%c，请尝试执行t --help查看可用参数\n", select);
                return 1;
                break;
        }
        return 0;
    }

    printf("未知格式，请尝试执行t --help查看帮助\n");
    return 1;
}
